
CREATE TABLE FLW_ID_DATABASECHANGELOGLOCK (ID INTEGER NOT NULL, LOCKED SMALLINT NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR(255), CONSTRAINT PK_DBCHGLOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_ID_DATABASECHANGELOGLOCK;

INSERT INTO FLW_ID_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_ID_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.1.12 (192.168.1.12)', LOCKGRANTED = TIMESTAMP('2019-10-01 19:38:08.541') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_ID_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

CREATE TABLE FLW_ID_PROPERTY (NAME_ VARCHAR(64) NOT NULL, VALUE_ VARCHAR(300), REV_ INTEGER NOT NULL, CONSTRAINT PK_FLW_ID_PROPERTY PRIMARY KEY (NAME_));

CREATE TABLE FLW_ID_GROUP (ID_ VARCHAR(64) NOT NULL, REV_ INTEGER NOT NULL, NAME_ VARCHAR(255), TYPE_ VARCHAR(255), CONSTRAINT PK_FLW_ID_GROUP PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_USER (ID_ VARCHAR(64) NOT NULL, REV_ INTEGER NOT NULL, USER_DEFINITION_ID_ VARCHAR(64), SYSTEM_ID_ VARCHAR(255), STATE_ VARCHAR(255), SYSTEM_TYPE_ VARCHAR(255), FIRST_ VARCHAR(255), LAST_ VARCHAR(255), DISPLAY_NAME_ VARCHAR(255), EMAIL_ VARCHAR(255), PWD_ VARCHAR(255), TENANT_ID_ VARCHAR(255) DEFAULT '', CONSTRAINT PK_FLW_ID_USER PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_MEMBERSHIP (USER_ID_ VARCHAR(64) NOT NULL, GROUP_ID_ VARCHAR(64) NOT NULL, CONSTRAINT PK_FLW_ID_MEMBERS PRIMARY KEY (USER_ID_, GROUP_ID_));

CREATE TABLE FLW_ID_USER_DEFINITIONS (ID_ VARCHAR(64) NOT NULL, REV_ INTEGER NOT NULL, NAME_ VARCHAR(128), KEY_ VARCHAR(128), SUB_TYPE_ VARCHAR(128), TENANT_ID_ VARCHAR(64) DEFAULT '', CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, UPDATE_TIME_ TIMESTAMP, UPDATER_ID_ VARCHAR(64), DEFINITION_CONTENT_ CLOB, CONSTRAINT PK_ID_USER_DEFINITIONS PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_INFO (ID_ VARCHAR(64) NOT NULL, REV_ INTEGER NOT NULL, USER_ID_ VARCHAR(64), TYPE_ VARCHAR(64), KEY_ VARCHAR(255), VALUE_ VARCHAR(255), PASSWORD_ BLOB, PARENT_ID_ VARCHAR(255), CONSTRAINT PK_FLW_ID_INFO PRIMARY KEY (ID_));

CREATE TABLE FLW_IDENTITY_INFO (ID_ VARCHAR(64) NOT NULL, REV_ INTEGER NOT NULL, TYPE_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255) NOT NULL, SCOPE_ID_ VARCHAR(255), SUB_SCOPE_ID_ VARCHAR(255), SCOPE_TYPE_ VARCHAR(255), DOUBLE_ DOUBLE, LONG_ BIGINT, TEXT_ VARCHAR(4000), TEXT2_ VARCHAR(4000), CONSTRAINT PK_FLW_IDENTITY_INFO PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_TOKEN (ID_ VARCHAR(64) NOT NULL, REV_ INTEGER NOT NULL, TOKEN_VALUE_ VARCHAR(255), TOKEN_DATE_ TIMESTAMP, IP_ADDRESS_ VARCHAR(255), USER_AGENT_ VARCHAR(255), USER_ID_ VARCHAR(255), TOKEN_DATA_ VARCHAR(2000), CONSTRAINT PK_FLW_ID_TOKEN PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_PRIV (ID_ VARCHAR(64) NOT NULL, NAME_ VARCHAR(255) NOT NULL, CONSTRAINT PK_FLW_ID_PRIV PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_PRIV_MAPPING (ID_ VARCHAR(64) NOT NULL, PRIV_ID_ VARCHAR(64) NOT NULL, USER_ID_ VARCHAR(255), GROUP_ID_ VARCHAR(255), CONSTRAINT PK_FLW_ID_PRIV_MA PRIMARY KEY (ID_));

CREATE INDEX FLW_IDX_IDM_INFO_SCOPE_ID_TYPE ON FLW_IDENTITY_INFO(SCOPE_ID_, SCOPE_TYPE_);

CREATE INDEX FLW_IDX_MEMB_GROUP ON FLW_ID_MEMBERSHIP(GROUP_ID_);

ALTER TABLE FLW_ID_MEMBERSHIP ADD CONSTRAINT FLW_FK_MEMB_GROUP FOREIGN KEY (GROUP_ID_) REFERENCES FLW_ID_GROUP (ID_);

CREATE INDEX FLW_IDX_MEMB_USER ON FLW_ID_MEMBERSHIP(USER_ID_);

ALTER TABLE FLW_ID_MEMBERSHIP ADD CONSTRAINT FLW_FK_MEMB_USER FOREIGN KEY (USER_ID_) REFERENCES FLW_ID_USER (ID_);

CREATE INDEX FLW_IDX_PRIV_MAPPING ON FLW_ID_PRIV_MAPPING(PRIV_ID_);

ALTER TABLE FLW_ID_PRIV_MAPPING ADD CONSTRAINT FLW_FK_PRIV_MAPPING FOREIGN KEY (PRIV_ID_) REFERENCES FLW_ID_PRIV (ID_);

CREATE INDEX FLW_IDX_PRIV_USER ON FLW_ID_PRIV_MAPPING(USER_ID_);

CREATE INDEX FLW_IDX_PRIV_GROUP ON FLW_ID_PRIV_MAPPING(GROUP_ID_);

ALTER TABLE FLW_ID_PRIV ADD CONSTRAINT FLW_UNIQ_PRIV_NAME UNIQUE (NAME_);

CREATE INDEX FLW_IDX_USER_SYSTEM ON FLW_ID_USER(SYSTEM_ID_, SYSTEM_TYPE_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 1, '7:2891b32cfb727db2f89db751542ba22a', 'createTable tableName=FLW_ID_PROPERTY; createTable tableName=FLW_ID_GROUP; createTable tableName=FLW_ID_USER; createTable tableName=FLW_ID_MEMBERSHIP; createTable tableName=FLW_ID_USER_DEFINITIONS; createTable tableName=FLW_ID_INFO; createTable ta...', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

CREATE INDEX FLW_IDX_USER_USER_DEF ON FLW_ID_USER(USER_DEFINITION_ID_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 2, '7:40704c0abe6e375c21447558e4b6489c', 'createIndex indexName=FLW_IDX_USER_USER_DEF, tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

ALTER TABLE FLW_ID_USER ADD SUB_STATE_ VARCHAR(255);

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_ID_USER');

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 3, '7:15b423b468c6266493b31528c156b677', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

ALTER TABLE FLW_ID_USER ADD CREATOR_ID_ VARCHAR(64);

ALTER TABLE FLW_ID_USER ADD CREATION_TIME_ TIMESTAMP;

ALTER TABLE FLW_ID_USER ADD UPDATER_ID_ VARCHAR(64);

ALTER TABLE FLW_ID_USER ADD UPDATE_TIME_ TIMESTAMP;

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_ID_USER');

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 4, '7:75439b318ca2c07cfaf8849d347454ea', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

CREATE INDEX FLW_IDX_USER_CREATE_TIME ON FLW_ID_USER(CREATION_TIME_);

CREATE INDEX FLW_IDX_USER_UPDATE_TIME ON FLW_ID_USER(UPDATE_TIME_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('5', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 5, '7:abd1224a027b2cc45a14e4f1d22eefe4', 'createIndex indexName=FLW_IDX_USER_CREATE_TIME, tableName=FLW_ID_USER; createIndex indexName=FLW_IDX_USER_UPDATE_TIME, tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

ALTER TABLE FLW_IDENTITY_INFO ADD USER_ID_ VARCHAR(64);

ALTER TABLE FLW_IDENTITY_INFO ADD GROUP_ID_ VARCHAR(64);

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_IDENTITY_INFO');

ALTER TABLE FLW_IDENTITY_INFO ADD CONSTRAINT FK_IDENTITY_INFO_ID_USER FOREIGN KEY (USER_ID_) REFERENCES FLW_ID_USER (ID_) ON UPDATE NO ACTION ON DELETE CASCADE;

ALTER TABLE FLW_IDENTITY_INFO ADD CONSTRAINT FK_IDENTITY_INFO_ID_GROUP FOREIGN KEY (GROUP_ID_) REFERENCES FLW_ID_GROUP (ID_) ON UPDATE NO ACTION ON DELETE CASCADE;

UPDATE FLW_IDENTITY_INFO SET USER_ID_ = SCOPE_ID_;

DROP INDEX FLW_IDX_IDM_INFO_SCOPE_ID_TYPE;

ALTER TABLE FLW_IDENTITY_INFO DROP COLUMN SCOPE_ID_;

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_IDENTITY_INFO');

ALTER TABLE FLW_IDENTITY_INFO DROP COLUMN SCOPE_TYPE_;

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_IDENTITY_INFO');

ALTER TABLE FLW_IDENTITY_INFO DROP COLUMN SUB_SCOPE_ID_;

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_IDENTITY_INFO');

CREATE INDEX FLW_IDX_IDM_INFO_USER_ID ON FLW_IDENTITY_INFO(USER_ID_);

CREATE INDEX FLW_IDX_IDM_INFO_GROUP_ID ON FLW_IDENTITY_INFO(GROUP_ID_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 6, '7:b84e52c4c8c0b5012870a7a89525f0b9', 'addColumn tableName=FLW_IDENTITY_INFO; addForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_IDENTITY_INFO_ID_USER, referencedTableName=FLW_ID_USER; addForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_ID...', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

ALTER TABLE FLW_ID_USER_DEFINITIONS ALTER COLUMN  CREATOR_ID_ DROP NOT NULL;

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_ID_USER_DEFINITIONS');

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('7', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 7, '7:ad94820baf9f8ade202bef6370e9a0ae', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ID_USER_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

ALTER TABLE FLW_ID_USER ADD AVATAR_ID_ VARCHAR(255);

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_ID_USER');

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 8, '7:75b5b7d1025b1d8ee03c75cb4950e921', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

ALTER TABLE FLW_ID_USER ADD PRESENCE_ VARCHAR(255);

ALTER TABLE FLW_ID_USER ADD PRESENCE_TIME_ TIMESTAMP;

ALTER TABLE FLW_ID_USER ADD TYPE_ VARCHAR(64);

ALTER TABLE FLW_ID_USER ADD SUB_TYPE_ VARCHAR(64);

ALTER TABLE FLW_ID_USER ADD LANGUAGE_ VARCHAR(64);

ALTER TABLE FLW_ID_USER ADD THEME_ VARCHAR(64);

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_ID_USER');

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 9, '7:4cf92fc5beca32e466e519908d7ef5e6', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

CREATE TABLE FLW_ID_USER_ACCOUNT_DEFINITION (ID_ VARCHAR(64) NOT NULL, REV_ INTEGER NOT NULL, NAME_ VARCHAR(128), KEY_ VARCHAR(128), TENANT_ID_ VARCHAR(64) DEFAULT '', CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64), UPDATE_TIME_ TIMESTAMP, UPDATER_ID_ VARCHAR(64), DEFINITION_CONTENT_ CLOB, CONSTRAINT PK_ID_USER_ACCOUNT_DEFINITION PRIMARY KEY (ID_));

CREATE TABLE FLW_ID_USER_ACCOUNT (ID_ VARCHAR(64) NOT NULL, REV_ INTEGER NOT NULL, USER_ID_ VARCHAR(64), TENANT_ID_ VARCHAR(64) DEFAULT '', NAME_ VARCHAR(255), TYPE_ VARCHAR(64), SUB_TYPE_ VARCHAR(64), STATE_ VARCHAR(64), SUB_STATE_ VARCHAR(64), BUSINESS_ACCOUNT_ID_ VARCHAR(255), EXTERNAL_USER_ID_ VARCHAR(255), USER_ACCOUNT_DEFINITION_ID_ VARCHAR(64), CREATOR_ID_ VARCHAR(64), CREATION_TIME_ TIMESTAMP NOT NULL, UPDATER_ID_ VARCHAR(64), UPDATE_TIME_ TIMESTAMP, CONSTRAINT PK_FLW_ID_USER_AC PRIMARY KEY (ID_), CONSTRAINT FK_ID_USER_ACCOUNT_USER FOREIGN KEY (USER_ID_) REFERENCES FLW_ID_USER(ID_) ON DELETE CASCADE, CONSTRAINT FK_ID_USER_ACCOUNT_USER_DEF FOREIGN KEY (USER_ACCOUNT_DEFINITION_ID_) REFERENCES FLW_ID_USER_ACCOUNT_DEFINITION(ID_));

CREATE INDEX IDX_USER_ACC_TYPE_SUB_EXT_USER ON FLW_ID_USER_ACCOUNT(TYPE_, SUB_TYPE_, EXTERNAL_USER_ID_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('10', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 10, '7:849f504bc136df2a16494e3b29b2ea4d', 'createTable tableName=FLW_ID_USER_ACCOUNT_DEFINITION; createTable tableName=FLW_ID_USER_ACCOUNT; createIndex indexName=IDX_USER_ACC_TYPE_SUB_EXT_USER, tableName=FLW_ID_USER_ACCOUNT', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

CREATE INDEX IDX_USER_ACCOUNT_USER ON FLW_ID_USER_ACCOUNT(USER_ID_);

CREATE INDEX IDX_USER_ACCOUNT_USER_DEF ON FLW_ID_USER_ACCOUNT(USER_ACCOUNT_DEFINITION_ID_);

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('11', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 11, '7:771d3901ac8fa6a55f2c155986a3bc60', 'createIndex indexName=IDX_USER_ACCOUNT_USER, tableName=FLW_ID_USER_ACCOUNT; createIndex indexName=IDX_USER_ACCOUNT_USER_DEF, tableName=FLW_ID_USER_ACCOUNT', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

UPDATE FLW_ID_USER U
            SET SUB_TYPE_ = (SELECT DEF.SUB_TYPE_ FROM FLW_ID_USER_DEFINITIONS DEF WHERE DEF.ID_ = U.USER_DEFINITION_ID_)
            WHERE U.USER_DEFINITION_ID_ IS NOT NULL;

ALTER TABLE FLW_ID_USER_DEFINITIONS DROP COLUMN SUB_TYPE_;

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_ID_USER_DEFINITIONS');

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 12, '7:610ea1b7b56a66403209150d4bc75774', 'sql; dropColumn columnName=SUB_TYPE_, tableName=FLW_ID_USER_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

ALTER TABLE FLW_ID_GROUP ADD KEY_ VARCHAR(64) DEFAULT '';

ALTER TABLE FLW_ID_GROUP ADD TENANT_ID_ VARCHAR(255) DEFAULT '';

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_ID_GROUP');

UPDATE FLW_ID_GROUP SET KEY_ = ID_;

UPDATE FLW_ID_USER_DEFINITIONS set TENANT_ID_ = '';

UPDATE FLW_ID_USER_ACCOUNT set TENANT_ID_ = '';

INSERT INTO FLW_ID_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', CURRENT TIMESTAMP, 13, '7:3a8d25dd882c3fed136f12ccf677bb8f', 'addColumn tableName=FLW_ID_GROUP; sql; sql; sql', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951488725');

UPDATE FLW_ID_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

