

CREATE TABLE [FLW_ID_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_ID_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_ID_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_ID_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_ID_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.12 (192.168.1.12)', [LOCKGRANTED] = '2019-10-01T19:44:14.964' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_ID_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_ID_PROPERTY] ([NAME_] [nvarchar](64) NOT NULL, [VALUE_] [nvarchar](300), [REV_] [int] NOT NULL, CONSTRAINT [PK_FLW_ID_PROPERTY] PRIMARY KEY ([NAME_]))

CREATE TABLE [FLW_ID_GROUP] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [NAME_] [nvarchar](255), [TYPE_] [nvarchar](255), CONSTRAINT [PK_FLW_ID_GROUP] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ID_USER] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [USER_DEFINITION_ID_] [nvarchar](64), [SYSTEM_ID_] [nvarchar](255), [STATE_] [nvarchar](255), [SYSTEM_TYPE_] [nvarchar](255), [FIRST_] [nvarchar](255), [LAST_] [nvarchar](255), [DISPLAY_NAME_] [nvarchar](255), [EMAIL_] [nvarchar](255), [PWD_] [nvarchar](255), [TENANT_ID_] [nvarchar](255) CONSTRAINT [DF_FLW_ID_USER_TENANT_ID_] DEFAULT '', CONSTRAINT [PK_FLW_ID_USER] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ID_MEMBERSHIP] ([USER_ID_] [nvarchar](64) NOT NULL, [GROUP_ID_] [nvarchar](64) NOT NULL, CONSTRAINT [PK_FLW_ID_MEMBERSHIP] PRIMARY KEY ([USER_ID_], [GROUP_ID_]))

CREATE TABLE [FLW_ID_USER_DEFINITIONS] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [NAME_] [nvarchar](128), [KEY_] [nvarchar](128), [SUB_TYPE_] [nvarchar](128), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ID_USER_DEFINITIONS_TENANT_ID_] DEFAULT '', [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64) NOT NULL, [UPDATE_TIME_] [datetime2](6), [UPDATER_ID_] [nvarchar](64), [DEFINITION_CONTENT_] [nvarchar](MAX), CONSTRAINT [PK_ID_USER_DEFINITIONS] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ID_INFO] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [USER_ID_] [nvarchar](64), [TYPE_] [nvarchar](64), [KEY_] [nvarchar](255), [VALUE_] [nvarchar](255), [PASSWORD_] [varbinary](MAX), [PARENT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_ID_INFO] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_IDENTITY_INFO] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [TYPE_] [nvarchar](255) NOT NULL, [NAME_] [nvarchar](255) NOT NULL, [SCOPE_ID_] [nvarchar](255), [SUB_SCOPE_ID_] [nvarchar](255), [SCOPE_TYPE_] [nvarchar](255), [DOUBLE_] [float](53), [LONG_] [bigint], [TEXT_] [nvarchar](4000), [TEXT2_] [nvarchar](4000), CONSTRAINT [PK_FLW_IDENTITY_INFO] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ID_TOKEN] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [TOKEN_VALUE_] [nvarchar](255), [TOKEN_DATE_] [datetime2](6), [IP_ADDRESS_] [nvarchar](255), [USER_AGENT_] [nvarchar](255), [USER_ID_] [nvarchar](255), [TOKEN_DATA_] [nvarchar](2000), CONSTRAINT [PK_FLW_ID_TOKEN] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ID_PRIV] ([ID_] [nvarchar](64) NOT NULL, [NAME_] [nvarchar](255) NOT NULL, CONSTRAINT [PK_FLW_ID_PRIV] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ID_PRIV_MAPPING] ([ID_] [nvarchar](64) NOT NULL, [PRIV_ID_] [nvarchar](64) NOT NULL, [USER_ID_] [nvarchar](255), [GROUP_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_ID_PRIV_MAPPING] PRIMARY KEY ([ID_]))

CREATE NONCLUSTERED INDEX FLW_IDX_IDM_INFO_SCOPE_ID_TYPE ON [FLW_IDENTITY_INFO]([SCOPE_ID_], [SCOPE_TYPE_])

CREATE NONCLUSTERED INDEX FLW_IDX_MEMB_GROUP ON [FLW_ID_MEMBERSHIP]([GROUP_ID_])

ALTER TABLE [FLW_ID_MEMBERSHIP] ADD CONSTRAINT [FLW_FK_MEMB_GROUP] FOREIGN KEY ([GROUP_ID_]) REFERENCES [FLW_ID_GROUP] ([ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_MEMB_USER ON [FLW_ID_MEMBERSHIP]([USER_ID_])

ALTER TABLE [FLW_ID_MEMBERSHIP] ADD CONSTRAINT [FLW_FK_MEMB_USER] FOREIGN KEY ([USER_ID_]) REFERENCES [FLW_ID_USER] ([ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_PRIV_MAPPING ON [FLW_ID_PRIV_MAPPING]([PRIV_ID_])

ALTER TABLE [FLW_ID_PRIV_MAPPING] ADD CONSTRAINT [FLW_FK_PRIV_MAPPING] FOREIGN KEY ([PRIV_ID_]) REFERENCES [FLW_ID_PRIV] ([ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_PRIV_USER ON [FLW_ID_PRIV_MAPPING]([USER_ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_PRIV_GROUP ON [FLW_ID_PRIV_MAPPING]([GROUP_ID_])

ALTER TABLE [FLW_ID_PRIV] ADD CONSTRAINT [FLW_UNIQ_PRIV_NAME] UNIQUE ([NAME_])

CREATE NONCLUSTERED INDEX FLW_IDX_USER_SYSTEM ON [FLW_ID_USER]([SYSTEM_ID_], [SYSTEM_TYPE_])

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 1, '7:05ba195724a17e7fdcb4b9891afdd59a', 'createTable tableName=FLW_ID_PROPERTY; createTable tableName=FLW_ID_GROUP; createTable tableName=FLW_ID_USER; createTable tableName=FLW_ID_MEMBERSHIP; createTable tableName=FLW_ID_USER_DEFINITIONS; createTable tableName=FLW_ID_INFO; createTable ta...', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

CREATE NONCLUSTERED INDEX FLW_IDX_USER_USER_DEF ON [FLW_ID_USER]([USER_DEFINITION_ID_])

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('2', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 2, '7:40704c0abe6e375c21447558e4b6489c', 'createIndex indexName=FLW_IDX_USER_USER_DEF, tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

ALTER TABLE [FLW_ID_USER] ADD [SUB_STATE_] [nvarchar](255)

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('3', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 3, '7:b2cc2a8d2deb8d22541f4b805c2bd1d7', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

ALTER TABLE [FLW_ID_USER] ADD [CREATOR_ID_] [nvarchar](64)

ALTER TABLE [FLW_ID_USER] ADD [CREATION_TIME_] [datetime2](6)

ALTER TABLE [FLW_ID_USER] ADD [UPDATER_ID_] [nvarchar](64)

ALTER TABLE [FLW_ID_USER] ADD [UPDATE_TIME_] [datetime2](6)

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('4', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 4, '7:cbe0eb742f321d23f63bedda479c1490', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

CREATE NONCLUSTERED INDEX FLW_IDX_USER_CREATE_TIME ON [FLW_ID_USER]([CREATION_TIME_])

CREATE NONCLUSTERED INDEX FLW_IDX_USER_UPDATE_TIME ON [FLW_ID_USER]([UPDATE_TIME_])

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('5', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 5, '7:abd1224a027b2cc45a14e4f1d22eefe4', 'createIndex indexName=FLW_IDX_USER_CREATE_TIME, tableName=FLW_ID_USER; createIndex indexName=FLW_IDX_USER_UPDATE_TIME, tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

ALTER TABLE [FLW_IDENTITY_INFO] ADD [USER_ID_] [nvarchar](64)

ALTER TABLE [FLW_IDENTITY_INFO] ADD [GROUP_ID_] [nvarchar](64)

ALTER TABLE [FLW_IDENTITY_INFO] ADD CONSTRAINT [FK_IDENTITY_INFO_ID_USER] FOREIGN KEY ([USER_ID_]) REFERENCES [FLW_ID_USER] ([ID_]) ON UPDATE NO ACTION ON DELETE CASCADE

ALTER TABLE [FLW_IDENTITY_INFO] ADD CONSTRAINT [FK_IDENTITY_INFO_ID_GROUP] FOREIGN KEY ([GROUP_ID_]) REFERENCES [FLW_ID_GROUP] ([ID_]) ON UPDATE NO ACTION ON DELETE CASCADE

UPDATE FLW_IDENTITY_INFO SET USER_ID_ = SCOPE_ID_

DROP INDEX FLW_IDX_IDM_INFO_SCOPE_ID_TYPE ON [FLW_IDENTITY_INFO]

ALTER TABLE [FLW_IDENTITY_INFO] DROP COLUMN [SCOPE_ID_]

ALTER TABLE [FLW_IDENTITY_INFO] DROP COLUMN [SCOPE_TYPE_]

ALTER TABLE [FLW_IDENTITY_INFO] DROP COLUMN [SUB_SCOPE_ID_]

CREATE NONCLUSTERED INDEX FLW_IDX_IDM_INFO_USER_ID ON [FLW_IDENTITY_INFO]([USER_ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_IDM_INFO_GROUP_ID ON [FLW_IDENTITY_INFO]([GROUP_ID_])

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('6', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 6, '7:33a6f1b6195df313d538e2dc958ed956', 'addColumn tableName=FLW_IDENTITY_INFO; addForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_IDENTITY_INFO_ID_USER, referencedTableName=FLW_ID_USER; addForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_ID...', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

ALTER TABLE [FLW_ID_USER_DEFINITIONS] ALTER COLUMN [CREATOR_ID_] [nvarchar](64) NULL

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('7', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 7, '7:ff69c2f890a0607c31992a36676f9972', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_ID_USER_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

ALTER TABLE [FLW_ID_USER] ADD [AVATAR_ID_] [nvarchar](255)

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('8', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 8, '7:df637d40a416c8ebaa382896ad288316', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

ALTER TABLE [FLW_ID_USER] ADD [PRESENCE_] [nvarchar](255)

ALTER TABLE [FLW_ID_USER] ADD [PRESENCE_TIME_] [datetime2](6)

ALTER TABLE [FLW_ID_USER] ADD [TYPE_] [nvarchar](64)

ALTER TABLE [FLW_ID_USER] ADD [SUB_TYPE_] [nvarchar](64)

ALTER TABLE [FLW_ID_USER] ADD [LANGUAGE_] [nvarchar](64)

ALTER TABLE [FLW_ID_USER] ADD [THEME_] [nvarchar](64)

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('9', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 9, '7:b0415e93ce444caa71cff2d045b0ca7d', 'addColumn tableName=FLW_ID_USER', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

CREATE TABLE [FLW_ID_USER_ACCOUNT_DEFINITION] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [NAME_] [nvarchar](128), [KEY_] [nvarchar](128), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ID_USER_ACCOUNT_DEFINITION_TENANT_ID_] DEFAULT '', [CREATION_TIME_] [datetime2](6) NOT NULL, [CREATOR_ID_] [nvarchar](64), [UPDATE_TIME_] [datetime2](6), [UPDATER_ID_] [nvarchar](64), [DEFINITION_CONTENT_] [nvarchar](MAX), CONSTRAINT [PK_ID_USER_ACCOUNT_DEFINITION] PRIMARY KEY ([ID_]))

CREATE TABLE [FLW_ID_USER_ACCOUNT] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [USER_ID_] [nvarchar](64), [TENANT_ID_] [nvarchar](64) CONSTRAINT [DF_FLW_ID_USER_ACCOUNT_TENANT_ID_] DEFAULT '', [NAME_] [nvarchar](255), [TYPE_] [nvarchar](64), [SUB_TYPE_] [nvarchar](64), [STATE_] [nvarchar](64), [SUB_STATE_] [nvarchar](64), [BUSINESS_ACCOUNT_ID_] [nvarchar](255), [EXTERNAL_USER_ID_] [nvarchar](255), [USER_ACCOUNT_DEFINITION_ID_] [nvarchar](64), [CREATOR_ID_] [nvarchar](64), [CREATION_TIME_] [datetime2](6) NOT NULL, [UPDATER_ID_] [nvarchar](64), [UPDATE_TIME_] [datetime2](6), CONSTRAINT [PK_FLW_ID_USER_ACCOUNT] PRIMARY KEY ([ID_]), CONSTRAINT [FK_ID_USER_ACCOUNT_USER] FOREIGN KEY ([USER_ID_]) REFERENCES [FLW_ID_USER]([ID_]) ON DELETE CASCADE, CONSTRAINT [FK_ID_USER_ACCOUNT_USER_DEF] FOREIGN KEY ([USER_ACCOUNT_DEFINITION_ID_]) REFERENCES [FLW_ID_USER_ACCOUNT_DEFINITION]([ID_]))

CREATE NONCLUSTERED INDEX IDX_USER_ACC_TYPE_SUB_EXT_USER ON [FLW_ID_USER_ACCOUNT]([TYPE_], [SUB_TYPE_], [EXTERNAL_USER_ID_])

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('10', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 10, '7:63ff4c02ee0aaed812363c10eda65679', 'createTable tableName=FLW_ID_USER_ACCOUNT_DEFINITION; createTable tableName=FLW_ID_USER_ACCOUNT; createIndex indexName=IDX_USER_ACC_TYPE_SUB_EXT_USER, tableName=FLW_ID_USER_ACCOUNT', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

CREATE NONCLUSTERED INDEX IDX_USER_ACCOUNT_USER ON [FLW_ID_USER_ACCOUNT]([USER_ID_])

CREATE NONCLUSTERED INDEX IDX_USER_ACCOUNT_USER_DEF ON [FLW_ID_USER_ACCOUNT]([USER_ACCOUNT_DEFINITION_ID_])

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('11', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 11, '7:771d3901ac8fa6a55f2c155986a3bc60', 'createIndex indexName=IDX_USER_ACCOUNT_USER, tableName=FLW_ID_USER_ACCOUNT; createIndex indexName=IDX_USER_ACCOUNT_USER_DEF, tableName=FLW_ID_USER_ACCOUNT', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

UPDATE U
            SET U.SUB_TYPE_ = (SELECT DEF.SUB_TYPE_ FROM FLW_ID_USER_DEFINITIONS DEF WHERE DEF.ID_ = U.USER_DEFINITION_ID_)
            FROM FLW_ID_USER U
            WHERE U.USER_DEFINITION_ID_ IS NOT NULL

ALTER TABLE [FLW_ID_USER_DEFINITIONS] DROP COLUMN [SUB_TYPE_]

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('12', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 12, '7:e743654b5fdbb9899a771561fc554ca9', 'sql; dropColumn columnName=SUB_TYPE_, tableName=FLW_ID_USER_DEFINITIONS', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

ALTER TABLE [FLW_ID_GROUP] ADD [KEY_] [nvarchar](64) CONSTRAINT DF_FLW_ID_GROUP_KEY_ DEFAULT ''

ALTER TABLE [FLW_ID_GROUP] ADD [TENANT_ID_] [nvarchar](255) CONSTRAINT DF_FLW_ID_GROUP_TENANT_ID_ DEFAULT ''

UPDATE FLW_ID_GROUP SET KEY_ = ID_

UPDATE FLW_ID_USER_DEFINITIONS set TENANT_ID_ = ''

UPDATE FLW_ID_USER_ACCOUNT set TENANT_ID_ = ''

INSERT INTO [FLW_ID_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('13', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', GETDATE(), 13, '7:a5494e2f25fb46924684473aeb829ce7', 'addColumn tableName=FLW_ID_GROUP; sql; sql; sql', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951855159')

UPDATE [FLW_ID_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

