

CREATE TABLE [FLW_PL_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_PL_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_PL_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_PL_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_PL_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.1.12 (192.168.1.12)', [LOCKGRANTED] = '2019-10-01T19:44:32.434' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_PL_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_TRANSLATION] ([ID_] [nvarchar](64) NOT NULL, [REV_] [int] NOT NULL, [CREATOR_ID_] [nvarchar](64), [CREATION_TIME_] [datetime2](6) NOT NULL, [UPDATER_ID_] [nvarchar](64), [UPDATE_TIME_] [datetime2](6), [SCOPE_ID_] [nvarchar](255) NOT NULL, [SCOPE_TYPE_] [nvarchar](64) NOT NULL, [KEY_] [nvarchar](255) NOT NULL, [LOCALE_] [nvarchar](16) NOT NULL, [VALUE_] [nvarchar](MAX), CONSTRAINT [PK_FLW_TRANSLATION] PRIMARY KEY ([ID_]))

ALTER TABLE [FLW_TRANSLATION] ADD CONSTRAINT [FLW_UQ_TRANSL_SCOPE_KEY_LOCALE] UNIQUE ([SCOPE_ID_], [SCOPE_TYPE_], [KEY_], [LOCALE_])

CREATE NONCLUSTERED INDEX FLW_IDX_TRANSLATION_SCOPE ON [FLW_TRANSLATION]([SCOPE_ID_], [SCOPE_TYPE_])

INSERT INTO [FLW_PL_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/platform/db/liquibase/flowable-platform-db-changelog.xml', GETDATE(), 1, '7:e6f305538d7d360c6e89313077bbb824', 'createTable tableName=FLW_TRANSLATION; addUniqueConstraint constraintName=FLW_UQ_TRANSL_SCOPE_KEY_LOCALE, tableName=FLW_TRANSLATION; createIndex indexName=FLW_IDX_TRANSLATION_SCOPE, tableName=FLW_TRANSLATION', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951872525')

CREATE TABLE [FLW_COMMENT] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [CONTENT_] [nvarchar](MAX), [SCOPE_ID_] [nvarchar](255), [SCOPE_TYPE_] [nvarchar](64), [USER_ID_] [nvarchar](255), [CREATED_] [datetime2](6), [UPDATED_] [datetime2](6), [TENANT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_COMMENT] PRIMARY KEY ([ID_]))

CREATE NONCLUSTERED INDEX IDX_COMMENT_SCOPE_ID ON [FLW_COMMENT]([SCOPE_ID_], [SCOPE_TYPE_])

CREATE NONCLUSTERED INDEX IDX_COMMENT_USER_ID ON [FLW_COMMENT]([USER_ID_])

INSERT INTO [FLW_PL_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('2', 'flowable', 'com/flowable/platform/db/liquibase/flowable-platform-db-changelog.xml', GETDATE(), 2, '7:744e77f461ff037161352b389ddef14d', 'createTable tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_SCOPE_ID, tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_USER_ID, tableName=FLW_COMMENT', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951872525')

INSERT INTO [FLW_PL_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('3', 'flowable', 'com/flowable/platform/db/liquibase/flowable-platform-db-changelog.xml', GETDATE(), 3, '7:c254fbc9a27b461db58c0cc6f2e495c4', 'dropTable tableName=FLW_PLC_DATABASECHANGELOG; dropTable tableName=FLW_PLC_DATABASECHANGELOGLOCK', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951872525')

UPDATE [FLW_PL_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

