

CREATE TABLE FLW_PO_DATABASECHANGELOGLOCK (ID INTEGER NOT NULL, LOCKED NUMBER(1) NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR2(255), CONSTRAINT PK_FLW_PO_DATABASECHANGELOGLOC PRIMARY KEY (ID));

DELETE FROM FLW_PO_DATABASECHANGELOGLOCK;

INSERT INTO FLW_PO_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_PO_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.1.12 (192.168.1.12)', LOCKGRANTED = to_timestamp('2019-10-01 16:43:38.061', 'YYYY-MM-DD HH24:MI:SS.FF') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_PO_DATABASECHANGELOG (ID VARCHAR2(255) NOT NULL, AUTHOR VARCHAR2(255) NOT NULL, FILENAME VARCHAR2(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR2(10) NOT NULL, MD5SUM VARCHAR2(35), DESCRIPTION VARCHAR2(255), COMMENTS VARCHAR2(255), TAG VARCHAR2(255), LIQUIBASE VARCHAR2(20), CONTEXTS VARCHAR2(255), LABELS VARCHAR2(255), DEPLOYMENT_ID VARCHAR2(10));

CREATE TABLE FLW_POLICY_DEPLOYMENT (ID_ VARCHAR2(255) NOT NULL, NAME_ VARCHAR2(255), KEY_ VARCHAR2(255), CATEGORY_ VARCHAR2(255), DEPLOY_TIME_ TIMESTAMP, TENANT_ID_ VARCHAR2(255), PARENT_DEPLOYMENT_ID_ VARCHAR2(255), CONSTRAINT PK_FLW_POLICY_DEPLOYMENT PRIMARY KEY (ID_));

CREATE TABLE FLW_POLICY_DEPLOYMENT_RESOURCE (ID_ VARCHAR2(255) NOT NULL, NAME_ VARCHAR2(255), DEPLOYMENT_ID_ VARCHAR2(255), RESOURCE_BYTES_ BLOB, CONSTRAINT PK_FLW_POLICY_DEPLOYMENT_RESOU PRIMARY KEY (ID_));

CREATE TABLE FLW_POLICY_DEFINITION (ID_ VARCHAR2(255) NOT NULL, REV_ INTEGER NOT NULL, KEY_ VARCHAR2(128), DEPLOYMENT_ID_ VARCHAR2(255) NOT NULL, TENANT_ID_ VARCHAR2(64) DEFAULT '', TYPE_ VARCHAR2(128), NAME_ VARCHAR2(128), VERSION_ INTEGER, RESOURCE_NAME_ VARCHAR2(4000), CREATION_TIME_ TIMESTAMP(6) NOT NULL, CREATOR_ID_ VARCHAR2(64), CONSTRAINT PK_POLICY_DEFINITIONS PRIMARY KEY (ID_));

CREATE TABLE FLW_POLICY_DEF_LINK (ID_ VARCHAR2(255) NOT NULL, POLICY_DEFINITION_ID_ VARCHAR2(255) NOT NULL, TYPE_ VARCHAR2(255) NOT NULL, LINK_VALUE_ VARCHAR2(255), CONSTRAINT PK_FLW_POLICY_DEF_LINK PRIMARY KEY (ID_), CONSTRAINT FK_POLICY_DEF_LINK_POLICY_DEF FOREIGN KEY (POLICY_DEFINITION_ID_) REFERENCES FLW_POLICY_DEFINITION(ID_));

ALTER TABLE FLW_POLICY_DEFINITION ADD CONSTRAINT FK_POLICY_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_POLICY_DEPLOYMENT (ID_);

CREATE INDEX IDX_POLICY_DEF_DEPLOYMENT ON FLW_POLICY_DEFINITION(DEPLOYMENT_ID_);

CREATE UNIQUE INDEX ACT_IDX_POLICIES_DEF_UNIQ ON FLW_POLICY_DEFINITION(KEY_, VERSION_, TENANT_ID_);

CREATE INDEX IDX_POLICY_DEF_LINK_POLICY_DEF ON FLW_POLICY_DEF_LINK(POLICY_DEFINITION_ID_);

INSERT INTO FLW_PO_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/policy/db/liquibase/flowable-policy-db-changelog.xml', SYSTIMESTAMP, 1, '7:517b881c6d9e800fdf77621ee32d1351', 'createTable tableName=FLW_POLICY_DEPLOYMENT; createTable tableName=FLW_POLICY_DEPLOYMENT_RESOURCE; createTable tableName=FLW_POLICY_DEFINITION; createTable tableName=FLW_POLICY_DEF_LINK; addForeignKeyConstraint baseTableName=FLW_POLICY_DEFINITION,...', '', 'EXECUTED', NULL, NULL, '3.5.3', '9948218143');

UPDATE FLW_PO_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

