
CREATE TABLE FLW_SE_DATABASECHANGELOGLOCK (ID INTEGER NOT NULL, LOCKED SMALLINT NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR(255), CONSTRAINT PK_DBCHGLOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_SE_DATABASECHANGELOGLOCK;

INSERT INTO FLW_SE_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_SE_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.1.12 (192.168.1.12)', LOCKGRANTED = TIMESTAMP('2019-10-01 19:38:32.727') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_SE_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

CREATE TABLE FLW_SE_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255), KEY_ VARCHAR(255), CATEGORY_ VARCHAR(255), DEPLOY_TIME_ TIMESTAMP, TENANT_ID_ VARCHAR(255), PARENT_DEPLOYMENT_ID_ VARCHAR(255), CONSTRAINT PK_FLW_SE_DEPLOYM PRIMARY KEY (ID_));

CREATE TABLE FLW_SE_DEPLOYMENT_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255), DEPLOYMENT_ID_ VARCHAR(255), RESOURCE_BYTES_ BLOB, CONSTRAINT PK_FLW_SE_DEPLOYM PRIMARY KEY (ID_));

CREATE TABLE FLW_SE_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INTEGER NOT NULL, KEY_ VARCHAR(128), DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, TENANT_ID_ VARCHAR(64) DEFAULT '', NAME_ VARCHAR(128), VERSION_ INTEGER, RESOURCE_NAME_ VARCHAR(4000), CONSTRAINT PK_SERVICE_DEFINITIONS PRIMARY KEY (ID_));

CREATE UNIQUE INDEX ACT_IDX_SERVICE_DEF_UNIQ ON FLW_SE_DEFINITION(KEY_, VERSION_, TENANT_ID_);

ALTER TABLE FLW_SE_DEFINITION ADD CONSTRAINT FK_SERVICE_DEF_DEPLOYMENT FOREIGN KEY (DEPLOYMENT_ID_) REFERENCES FLW_SE_DEPLOYMENT (ID_);

CREATE INDEX IDX_SERVICE_DEF_DEPLOYMENT ON FLW_SE_DEFINITION(DEPLOYMENT_ID_);

INSERT INTO FLW_SE_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/serviceregistry/db/liquibase/flowable-serviceregistry-db-changelog.xml', CURRENT TIMESTAMP, 1, '7:dc81bb3dba2c4ae9436fb6698d6efdbe', 'createTable tableName=FLW_SE_DEPLOYMENT; createTable tableName=FLW_SE_DEPLOYMENT_RESOURCE; createTable tableName=FLW_SE_DEFINITION; createIndex indexName=ACT_IDX_SERVICE_DEF_UNIQ, tableName=FLW_SE_DEFINITION; addForeignKeyConstraint baseTableName=...', '', 'EXECUTED', NULL, NULL, '3.5.3', '9951512807');

UPDATE FLW_SE_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

