

CREATE TABLE [FLW_AU_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_AU_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_AU_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_AU_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_AU_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.10.1 (192.168.10.1)', [LOCKGRANTED] = '2019-03-26T21:49:31.017' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_AU_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_AUDIT_INSTANCE] ([ID_] [nvarchar](255) NOT NULL, [AUDIT_DEFINITION_ID_] [nvarchar](255), [CREATION_TIME_] [datetime2](6), [CREATOR_ID_] [nvarchar](255), [EXTERNAL_ID_] [nvarchar](255), [TYPE_] [nvarchar](255), [SUB_TYPE_] [nvarchar](255), [SCOPE_DEFINITION_ID_] [nvarchar](255), [SCOPE_ID_] [nvarchar](255), [SCOPE_TYPE_] [nvarchar](255), [PAYLOAD_] [nvarchar](MAX), [TENANT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_AUDIT_INSTANCE] PRIMARY KEY ([ID_]))

INSERT INTO [FLW_AU_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/audit/db/liquibase/flowable-audit-db-changelog.xml', GETDATE(), 1, '7:767e7394eeb4ae22234f19dfa9cff00c', 'createTable tableName=FLW_AUDIT_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '3633371102')

CREATE NONCLUSTERED INDEX FLW_IDX_AUDIT_INST_DEF ON [FLW_AUDIT_INSTANCE]([AUDIT_DEFINITION_ID_])

CREATE NONCLUSTERED INDEX FLW_IDX_AUDIT_INST_TYPE ON [FLW_AUDIT_INSTANCE]([TYPE_])

CREATE NONCLUSTERED INDEX FLW_IDX_AUDIT_INST_SCOPE ON [FLW_AUDIT_INSTANCE]([SCOPE_ID_], [SCOPE_TYPE_])

CREATE NONCLUSTERED INDEX FLW_IDX_AUDIT_INST_CREATE ON [FLW_AUDIT_INSTANCE]([CREATION_TIME_])

INSERT INTO [FLW_AU_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('2', 'flowable', 'com/flowable/audit/db/liquibase/flowable-audit-db-changelog.xml', GETDATE(), 2, '7:698e1206d862b3398091ab054fd2c615', 'createIndex indexName=FLW_IDX_AUDIT_INST_DEF, tableName=FLW_AUDIT_INSTANCE; createIndex indexName=FLW_IDX_AUDIT_INST_TYPE, tableName=FLW_AUDIT_INSTANCE; createIndex indexName=FLW_IDX_AUDIT_INST_SCOPE, tableName=FLW_AUDIT_INSTANCE; createIndex inde...', '', 'EXECUTED', NULL, NULL, '3.5.3', '3633371102')

UPDATE [FLW_AU_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

