
CREATE TABLE FLW_TP_DATABASECHANGELOGLOCK (ID INTEGER NOT NULL, LOCKED SMALLINT NOT NULL, LOCKGRANTED TIMESTAMP, LOCKEDBY VARCHAR(255), CONSTRAINT PK_DBCHGLOGLOCK PRIMARY KEY (ID));

DELETE FROM FLW_TP_DATABASECHANGELOGLOCK;

INSERT INTO FLW_TP_DATABASECHANGELOGLOCK (ID, LOCKED) VALUES (1, 0);

UPDATE FLW_TP_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = TIMESTAMP('2019-03-26 21:16:26.490') WHERE ID = 1 AND LOCKED = 0;

CREATE TABLE FLW_TP_DATABASECHANGELOG (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

CREATE TABLE FLW_TEMPL_DEPLOYMENT (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255), KEY_ VARCHAR(255), CATEGORY_ VARCHAR(255), DEPLOY_TIME_ TIMESTAMP, TENANT_ID_ VARCHAR(255), PARENT_DEPLOYMENT_ID_ VARCHAR(255), CONSTRAINT PK_FLW_TEMPL_DEPL PRIMARY KEY (ID_));

CREATE TABLE FLW_TEMPL_DEPLOYMENT_RESOURCE (ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(255), DEPLOYMENT_ID_ VARCHAR(255), RESOURCE_BYTES_ BLOB, CONSTRAINT PK_FLW_TEMPL_DEPL PRIMARY KEY (ID_));

CREATE TABLE FLW_TEMPL_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INTEGER NOT NULL, KEY_ VARCHAR(128), VERSION_ INTEGER, DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, NAME_ VARCHAR(128), TYPE_ VARCHAR(128), SUB_TYPE_ VARCHAR(128), FORM_KEY_ VARCHAR(128), RESOURCE_NAME_ VARCHAR(4000), TENANT_ID_ VARCHAR(64) DEFAULT '', CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, UPDATE_TIME_ TIMESTAMP, UPDATOR_ID_ VARCHAR(64), CONSTRAINT PK_TEMPL_DEFINITIONS PRIMARY KEY (ID_));

CREATE TABLE FLW_TEMPL_VAR_DEFINITION (ID_ VARCHAR(255) NOT NULL, REV_ INTEGER NOT NULL, TEMPLATE_DEF_KEY_ VARCHAR(128), VARIATION_KEY_ VARCHAR(128), DEPLOYMENT_ID_ VARCHAR(255) NOT NULL, VERSION_ INTEGER, VALID_FROM_ TIMESTAMP, VALID_TO_ TIMESTAMP, RESOURCE_NAME_ VARCHAR(4000), EXTERNAL_ID_ VARCHAR(255), CONTENT_ID_ VARCHAR(255), TENANT_ID_ VARCHAR(64) DEFAULT '', CREATION_TIME_ TIMESTAMP NOT NULL, CREATOR_ID_ VARCHAR(64) NOT NULL, CONSTRAINT PK_TEMPL_VAR_DEFINITIONS PRIMARY KEY (ID_));

INSERT INTO FLW_TP_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', CURRENT TIMESTAMP, 1, '7:cc534c4f5d37c0b737e3e8b52457bfc8', 'createTable tableName=FLW_TEMPL_DEPLOYMENT; createTable tableName=FLW_TEMPL_DEPLOYMENT_RESOURCE; createTable tableName=FLW_TEMPL_DEFINITION; createTable tableName=FLW_TEMPL_VAR_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3631386578');

ALTER TABLE FLW_TEMPL_VAR_DEFINITION ADD NAME_ VARCHAR(128);

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_TEMPL_VAR_DEFINITION');

INSERT INTO FLW_TP_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', CURRENT TIMESTAMP, 2, '7:bc2a9becc81836fa1bc3aed1d00f5a0c', 'addColumn tableName=FLW_TEMPL_VAR_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3631386578');

DELETE FROM FLW_TEMPL_VAR_DEFINITION;

DELETE FROM FLW_TEMPL_DEFINITION;

DELETE FROM FLW_TEMPL_DEPLOYMENT_RESOURCE;

DELETE FROM FLW_TEMPL_DEPLOYMENT;

INSERT INTO FLW_TP_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', CURRENT TIMESTAMP, 3, '7:9b7a62b3c7b157181009ca95f43e88a6', 'delete tableName=FLW_TEMPL_VAR_DEFINITION; delete tableName=FLW_TEMPL_DEFINITION; delete tableName=FLW_TEMPL_DEPLOYMENT_RESOURCE; delete tableName=FLW_TEMPL_DEPLOYMENT', '', 'EXECUTED', NULL, NULL, '3.5.3', '3631386578');

ALTER TABLE FLW_TEMPL_DEFINITION ALTER COLUMN  CREATOR_ID_ DROP NOT NULL;

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_TEMPL_DEFINITION');

ALTER TABLE FLW_TEMPL_VAR_DEFINITION ALTER COLUMN  CREATOR_ID_ DROP NOT NULL;

CALL SYSPROC.ADMIN_CMD ('REORG TABLE FLW_TEMPL_VAR_DEFINITION');

INSERT INTO FLW_TP_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/template/db/liquibase/flowable-template-db-changelog.xml', CURRENT TIMESTAMP, 4, '7:0c4283c6248be298c0c8fec1e57faf52', 'dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_TEMPL_DEFINITION; dropNotNullConstraint columnName=CREATOR_ID_, tableName=FLW_TEMPL_VAR_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '3631386578');

UPDATE FLW_TP_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

